using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevExpress.Data.Filtering;
using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Actions;
using DevExpress.ExpressApp.Editors;
using DevExpress.ExpressApp.Layout;
using DevExpress.ExpressApp.Model.NodeGenerators;
using DevExpress.ExpressApp.SystemModule;
using DevExpress.ExpressApp.Templates;
using DevExpress.ExpressApp.Utils;
using DevExpress.ExpressApp.Xpo;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.Validation;

namespace Nuvolar.Module.BusinessObjects.Financial
{
    // For more typical usage scenarios, be sure to check out https://documentation.devexpress.com/eXpressAppFramework/clsDevExpressExpressAppViewControllertopic.aspx.
    public partial class PCIEdit_VC : ViewController
    {
        public PCIEdit_VC()
        {
            InitializeComponent();
            // Target required Views (via the TargetXXX properties) and create their Actions.
        }
        protected override void OnActivated()
        {
            base.OnActivated();
            // Perform various tasks depending on the target View.
        }
        protected override void OnViewControlsCreated()
        {
            base.OnViewControlsCreated();
            // Access and customize the target View control.
        }
        protected override void OnDeactivated()
        {
            // Unsubscribe from previously subscribed events and release other references and resources.
            base.OnDeactivated();
        }

        private void aPCIEdit_Execute(object sender, SimpleActionExecuteEventArgs e)
        {
            XPObjectSpace _onew = Application.CreateObjectSpace() as XPObjectSpace;
            PCIEdit _PCIEdit = _onew.CreateObject<PCIEdit>();
            ShowViewParameters _ShowViewParameters=new ShowViewParameters();
            ShowViewSource _ShowViewSource = new ShowViewSource(Frame, null);

            _ShowViewParameters.CreatedView = Application.CreateDetailView(_onew, "PCIEdit_DetailView", true, _PCIEdit);
            _ShowViewParameters.NewWindowTarget = NewWindowTarget.MdiChild;
            _ShowViewParameters.TargetWindow = TargetWindow.NewWindow;
            Application.ShowViewStrategy.ShowView(_ShowViewParameters, _ShowViewSource);
        }

        private void aToTable_PCIEdit_Execute(object sender, SimpleActionExecuteEventArgs e)
        {
            XPObjectSpace _ocur = View.ObjectSpace as XPObjectSpace;
            PCIEdit _PCIEdit = View.SelectedObjects[0] as PCIEdit;
        }
    }
}
